Drivers
List a driver's approvable pay periods
Beta: Unprocessed pay periods the driver’s payables can be approved into, plus any period that already holds a draft.
GET
/
api
/
p
/
v
{version}
/
driver-settlements
/
drivers
/
{driverId}
/
pay-periods
List a driver's approvable pay periods
curl --request GET \
--url https://integrations.alvys.com/api/p/v{version}/driver-settlements/drivers/{driverId}/pay-periods \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integrations.alvys.com/api/p/v{version}/driver-settlements/drivers/{driverId}/pay-periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.alvys.com/api/p/v{version}/driver-settlements/drivers/{driverId}/pay-periods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.alvys.com/api/p/v{version}/driver-settlements/drivers/{driverId}/pay-periods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integrations.alvys.com/api/p/v{version}/driver-settlements/drivers/{driverId}/pay-periods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://integrations.alvys.com/api/p/v{version}/driver-settlements/drivers/{driverId}/pay-periods")
.header("Authorization", "Bearer <token>")
.asString();{
"Driver": {
"Id": "<string>",
"Name": "<string>",
"Type": "<string>",
"SubsidiaryId": "<string>",
"UsesTruckBasedStatements": true,
"IsContractor": true,
"HasEmail": true
},
"PayPeriods": [
{
"Id": "<string>",
"Title": "<string>",
"StartsOn": "<string>",
"EndsOn": "<string>",
"IsOffCycle": true,
"IsActive": true,
"DraftStatementId": "<string>"
}
]
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}Authorizations
OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.
Path Parameters
⌘I
List a driver's approvable pay periods
curl --request GET \
--url https://integrations.alvys.com/api/p/v{version}/driver-settlements/drivers/{driverId}/pay-periods \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integrations.alvys.com/api/p/v{version}/driver-settlements/drivers/{driverId}/pay-periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.alvys.com/api/p/v{version}/driver-settlements/drivers/{driverId}/pay-periods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.alvys.com/api/p/v{version}/driver-settlements/drivers/{driverId}/pay-periods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integrations.alvys.com/api/p/v{version}/driver-settlements/drivers/{driverId}/pay-periods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://integrations.alvys.com/api/p/v{version}/driver-settlements/drivers/{driverId}/pay-periods")
.header("Authorization", "Bearer <token>")
.asString();{
"Driver": {
"Id": "<string>",
"Name": "<string>",
"Type": "<string>",
"SubsidiaryId": "<string>",
"UsesTruckBasedStatements": true,
"IsContractor": true,
"HasEmail": true
},
"PayPeriods": [
{
"Id": "<string>",
"Title": "<string>",
"StartsOn": "<string>",
"EndsOn": "<string>",
"IsOffCycle": true,
"IsActive": true,
"DraftStatementId": "<string>"
}
]
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}